Bug 861772 - Xv video playback in Totem lags audio by several seconds on ATI FirePro V4800
Xv video playback in Totem lags audio by several seconds on ATI FirePro V4800
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 12:19 EDT by Adam Joseph Cook
Modified: 2014-09-13 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 14:30:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sysprof output while playing video in Totem (6.41 MB, application/octet-stream)
2012-09-30 12:19 EDT, Adam Joseph Cook
no flags Details
Xorg.*.log for xv video playback tests (30.00 KB, application/x-gzip)
2012-09-30 12:20 EDT, Adam Joseph Cook
no flags Details
Output of dmesg for xv video playback tests (749.16 KB, text/plain)
2012-09-30 12:21 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-09-30 12:19:07 EDT
Created attachment 619450 [details]
Sysprof output while playing video in Totem

Description of problem:
Test performed for the Fedora 18 Alpha Radeon Test Day.

It is not clear whether this is a Totem issue or ati driver issue, but video playback in Totem lags behind audio by roughly 1 to 2 seconds. Maximizing, minimizing and toggling between the gnome-shell 'Activity' view (via Super key on the keyboard) does not seem to have any effect (positive or negative) on this issue. A sysprof was performed while playing the video in question.

Because some prior bugs (https://bugzilla.redhat.com/show_bug.cgi?id=467267) filed against past Fedora releases, stated that playback in pitivi was normal, this was attempted also. Pitivi video playback does indeed correctly sync the video with the audio while playing the video in question.

Version-Release number of selected component (if applicable):
totem-3.6.0-1.fc18.x86_64
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64
xorg-x11-server-Xorg-1.13.0-5.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
http://fedoraproject.org/wiki/QA:Testcase_radeon_xv
  
Actual results:
Video lags audio by several seconds throughout video playback on Totem.

Expected results:
Video playback should be smooth and in-sync with audio.

Additional info:
* Video used for this test:
http://www.redhat.com/v/magazine/ogg/NET_MAN.ogg

* Smolt profile:
http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b
Comment 1 Adam Joseph Cook 2012-09-30 12:20:11 EDT
Created attachment 619451 [details]
Xorg.*.log for xv video playback tests
Comment 2 Adam Joseph Cook 2012-09-30 12:21:00 EDT
Created attachment 619452 [details]
Output of dmesg for xv video playback tests
Comment 3 Martin 2013-06-11 11:46:17 EDT
Adam, are you able to reproduce it on latest Fedora 18 or 19?
Comment 4 Fedora End Of Life 2013-12-21 03:59:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Michal Domonkos 2014-06-17 14:30:17 EDT
I observe no such lagging on F21 rawhide with ATI FirePro V4800.  Closing now.
Comment 7 Michal Domonkos 2014-06-17 14:30:51 EDT
Note that the same goes for RHEL7.

Note You need to log in before you can comment on or make changes to this bug.